package com.hxgc;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;


@SpringBootApplication
@EnableDiscoveryClient
//开启openfeign支持
@EnableFeignClients
//如果不是在同一个basepackages下 通过配置声明扫描
// @EnableFeignClients(basePackages = {"com.xx.xx"})
public class BurstApp {
    public static void main(String[] args) {
        SpringApplication.run(BurstApp.class,args);
    }

}
