package com.hxgc.controller;


import com.hxgc.Jifen;
import com.hxgc.api.CompanyApi;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

@RestController
@RequestMapping("burst")
public class BurstController {

    @GetMapping("findBurstById/{Id}")
    public Map findBurstById(@PathVariable String Id) {

        return  new HashMap(){{
            put("id",Id);
            put("BurstInfo","123");
        }};

    }


    @Autowired
    private CompanyApi companyApi;

    @RequestMapping("test1")
    public Map test01(){

        //远程调用服务
        //url= http://hxgc---
        Map sas = companyApi.save(new Jifen(1, 2, "sas"));

        return sas;

    }

    @RequestMapping("test03")
    public Map test03(){

        //远程调用服务
        //url= http://hxgc-company/company/delete?jifenId=1
        Map sas = companyApi.deleteById(1);

        return sas;

    }

    @RequestMapping("test05")
    public Jifen test05(){

        //远程调用服务
        //url= http://hxgc-company/company/delete?jifenId=1
        Jifen sas = companyApi.search(1,"ss");

        return sas;

    }



}
